libqmi-utils_1.22.0-1.2_i386.deb


Advertisement

Description

libqmi-utils - Utilities to use the QMI protocol from the command line

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libqmi-utils_1.22.0-1.2_i386.deb
Package name libqmi-utils
Package version 1.22.0
Package release 1.2
Package architecture i386
Package type deb
Category net
Homepage https://www.freedesktop.org/wiki/Software/libqmi
License -
Maintainer Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
Download size 151.80 KB
Installed size 604.00 KB
This package contains the utilities that make it easier to use QMI
functionality from the command line.

Alternatives

Package Version Architecture Repository
libqmi-utils_1.22.0-1.2_amd64.deb 1.22.0 amd64 Debian Main
libqmi-utils - - -

Requires

Name Value
libc6 >= 2.15
libglib2.0-0 >= 2.37.3
libgudev-1.0-0 >= 147
libmbim-glib4 >= 1.10.0
libmbim-proxy -
libqmi-glib5 >= 1.22.0
libqmi-proxy -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libqmi-utils_1.22.0-1.2_i386.deb
Source Package libqmi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqmi-utils deb package:
    # sudo apt-get install libqmi-utils

Files

Path
/usr/bin/qmi-firmware-update
/usr/bin/qmi-network
/usr/bin/qmicli
/usr/share/bash-completion/completions/qmicli
/usr/share/doc/libqmi-utils/changelog.Debian.gz
/usr/share/doc/libqmi-utils/changelog.gz
/usr/share/doc/libqmi-utils/copyright
/usr/share/man/man1/qmi-firmware-update.1.gz
/usr/share/man/man1/qmi-network.1.gz
/usr/share/man/man1/qmicli.1.gz

Changelog

2019-03-12 - Andreas Henriksson <andreas@fatal.se>
libqmi (1.22.0-1.2) unstable; urgency=medium
* Non-maintainer upload.
* Add debian/patches/git_reset-offset-before-2nd-call.patch from upstream.
- equivalent to 1.22.2 release except the broken manpages in that release.
2019-02-07 - Jeremy Bicha <jbicha@debian.org>
libqmi (1.22.0-1.1) unstable; urgency=medium
* Non-maintainer upload
* Bump Build-Depends on libmbim-glib-dev to 1.18.0 to fix build
(Closes: #921321)
2019-02-05 - Till Kamppeter <till.kamppeter@gmail.com>
libqmi (1.22.0-1) unstable; urgency=medium
* New upstream release
- Needed by ModemManager 1.10.
* debian/patches/0001-qmicli-remove-implicity-casts-to-GDestroyNotify-in-g.patch:
Dropped, included upstream.
* debian/libqmi-glib5.symbols: update symbols for new release.
2018-09-22 - Adrian Bunk <bunk@debian.org>
libqmi (1.20.0-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Add upstream fix for FTBFS with glib 2.58,
thanks to Juhani Numminen. (Closes: #908016)
2018-03-01 - Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
libqmi (1.20.0-1) unstable; urgency=medium
* New upstream version 1.20.0. (Closes: #887975)
* debian/patches/0001-utils-drop-useless-g_file_test-call.patch: dropped,
included upstream.
* debian/libqmi-glib5.symbols: update symbols for new release.
* debian/control: changing Maintainer field to claim the package. Marius is
no longer interested in maintaining it.
* debian/control: bump Standards-Version to 4.1.3.
2017-10-21 - Michael Biebl <biebl@debian.org>
libqmi (1.18.0-3) unstable; urgency=medium
* Remove myself from Uploaders.
2017-07-06 - Michael Biebl <biebl@debian.org>
libqmi (1.18.0-2) unstable; urgency=medium
* Drop useless g_file_test() call.
Fixes FTBFS with glib2.0 >= 2.52.1 which changed the behaviour of
g_file_test(). (Closes: #865579)
* Bump Standards-Version to 4.0.0
2017-06-17 - Michael Biebl <biebl@debian.org>
libqmi (1.18.0-1) unstable; urgency=medium
* New upstream version 1.18.0
* Bump Build-Depends on libglib2.0-dev to (>= 2.36)
* Update libqmi-glib5 symbols file
* Enable new qmi-firmware-update tool
* Enable GUdev support for qmi-firmware-update
2016-11-08 - Michael Biebl <biebl@debian.org>
libqmi (1.16.2-1) unstable; urgency=medium
* New upstream release.
* Bump debhelper compat level to 10.
* Drop Build-Depends on intltool.
2016-07-08 - Michael Biebl <biebl@debian.org>
libqmi (1.16.0-1) unstable; urgency=medium
* New upstream release.
* Enable QMi-over-MBIM support, which is required by new Sierra devices to
work in MBIM mode.
* Update symbols file.
* Only install the upstream documentation files once.

See Also

Package Description
libqmobipocket-dev_17.08.3-2_i386.deb development files for the QMobipocket library
libqmobipocket2_17.08.3-2_i386.deb library for reading Mobipocket documents
libqoauth-dev_2.0.1~1-3_i386.deb Qt5-based OAuth implementation development headers
libqoauth2_2.0.1~1-3_i386.deb Qt5-based client implementation of the OAuth authorization scheme
libqpdf-dev_8.4.0-2_i386.deb development files for PDF transformation/inspection library
libqpdf21_8.4.0-2_i386.deb runtime library for PDF transformation/inspection software
libqpid-proton-cpp12-dev-doc_0.22.0-3_all.deb C++ developer documentation for Qpid Proton
libqpid-proton-cpp12-dev_0.22.0-3_i386.deb C++ Development libraries for writing messaging apps with Qpid Proton
libqpid-proton-cpp12_0.22.0-3_i386.deb C++ libraries for Qpid Proton
libqpid-proton11-dev-doc_0.22.0-3_all.deb Developer documentation for Qpid Proton
libqpid-proton11-dev-examples_0.22.0-3_all.deb Example applications for writign messaging apps with Qpid Proton
libqpid-proton11-dev_0.22.0-3_i386.deb C Development libraries for writing messaging apps with Qpid Proton
libqpid-proton11_0.22.0-3_i386.deb C libraries for Qpid Proton
libqpx-dev_0.7.2-4.1_i386.deb CD/DVD quality checker (development files)
libqpx0_0.7.2-4.1_i386.deb CD/DVD quality checker (shared libraries)
Advertisement
Advertisement